import { m as JWK, n as JWKSet } from './unjwt.D9da8HQF.mjs';

declare const textEncoder: TextEncoder;
declare const textDecoder: TextDecoder;
declare function base64Encode(data: Uint8Array | string): string;
declare function base64UrlEncode(data: Uint8Array | string): string;
declare function base64Decode(str: string | undefined): string;
declare function base64Decode<T extends boolean | undefined>(str?: string | undefined, toString?: T): T extends false ? Uint8Array : string;
declare function base64UrlDecode(str: string | undefined): string;
declare function base64UrlDecode<T extends boolean | undefined>(str?: string | undefined, toString?: T): T extends false ? Uint8Array : string;
declare function randomBytes(length: Readonly<number>): Uint8Array;
/**
 * Concatenates multiple Uint8Arrays
 * @param arrays Arrays to concatenate
 * @returns Concatenated array
 */
declare function concatUint8Arrays(...arrays: Readonly<Uint8Array[]>): Uint8Array;
declare function maybeArray<T>(item: T | T[]): T[];
declare function isJWK(key: any): key is JWK;
declare function isJWKSet(key: any): key is JWKSet;
declare function assertCryptoKey(key: unknown): asserts key is CryptoKey;
declare function isCryptoKey(key: unknown): key is CryptoKey;
declare const isCryptoKeyPair: (key: any) => key is CryptoKeyPair;

declare const index_assertCryptoKey: typeof assertCryptoKey;
declare const index_base64Decode: typeof base64Decode;
declare const index_base64Encode: typeof base64Encode;
declare const index_base64UrlDecode: typeof base64UrlDecode;
declare const index_base64UrlEncode: typeof base64UrlEncode;
declare const index_concatUint8Arrays: typeof concatUint8Arrays;
declare const index_isCryptoKey: typeof isCryptoKey;
declare const index_isCryptoKeyPair: typeof isCryptoKeyPair;
declare const index_isJWK: typeof isJWK;
declare const index_isJWKSet: typeof isJWKSet;
declare const index_maybeArray: typeof maybeArray;
declare const index_randomBytes: typeof randomBytes;
declare const index_textDecoder: typeof textDecoder;
declare const index_textEncoder: typeof textEncoder;
declare namespace index {
  export {
    index_assertCryptoKey as assertCryptoKey,
    index_base64Decode as base64Decode,
    index_base64Encode as base64Encode,
    index_base64UrlDecode as base64UrlDecode,
    index_base64UrlEncode as base64UrlEncode,
    index_concatUint8Arrays as concatUint8Arrays,
    index_isCryptoKey as isCryptoKey,
    index_isCryptoKeyPair as isCryptoKeyPair,
    index_isJWK as isJWK,
    index_isJWKSet as isJWKSet,
    index_maybeArray as maybeArray,
    index_randomBytes as randomBytes,
    index_textDecoder as textDecoder,
    index_textEncoder as textEncoder,
  };
}

export { textDecoder as a, base64Encode as b, base64UrlEncode as c, base64Decode as d, base64UrlDecode as e, concatUint8Arrays as f, isJWK as g, isJWKSet as h, index as i, assertCryptoKey as j, isCryptoKey as k, isCryptoKeyPair as l, maybeArray as m, randomBytes as r, textEncoder as t };
